> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-10/v10-6-0.md).

# Version 10.6.0 Changelog (December 6, 2023)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 10.6.0.83121

Release Date: December 6, 2023

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 10.6.0 of the Apryse cross-platform APIs. More information can be found on What's new for cross-platform APIs. Most non-module related changes apply to Android.

## Features

* Added support for multi-select in the Collaboration Viewer.
* New color attribute `negativeTextButtonColor` for [DialogAnnotNote](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/DialogAnnotNote.html).

## Updated

* Moved the delete button to the left in [DialogAnnotNote](https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/tools/DialogAnnotNote.html) to prevent accidental deletion by users.

![](https://226546913-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F0QItsdFBmuuL9ezHimHy%2Fuploads%2Fgit-blob-942d186a0ce8a5b7f7906474117353abfa22157b%2Fc3585f6b0a4cc9d55d78dbdc5f052d26e261354b-593x499.png?alt=media)

* Updated area measurement tools to use suffix instead of `sq`. For example, "m2" instead of "sq m".

## Fixed

* Removed `<br>` tags when sharing documents from the viewer to another app.

## APIs

### PDFViewCtrlTools package

#### DialogAnnotNote

*new* method: `void updateNegativeButton()`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-10/v10-6-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
